import { Base, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { CT_IgnoredError } from "./CT_IgnoredError";
import { CT_ExtensionList } from "./CT_ExtensionList";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_IgnoredErrors_SML2009 extends Base {
    static $t: Type;
    private d;
    private b;
    constructor();
    c: List$1<CT_IgnoredError>;
    a: CT_ExtensionList;
    static e(a: XmlPartManagerBase): void;
    static f(a: XmlPartManagerBase, b: string): void;
}
